Reply

Adding Planar Contraints

Hello,

 

Im trying to AddPlanar to some assembly objects. I was successful in adding axial, however AddPlanar requires 'Constraining Points'. They are defined as the "constraining points on each face

(that correspond to the locations where you would click to locate the faces when you work

interactively)." (from the programming guide)

 

What does that exactly mean? How do I get this array? Im dont want user input to create these mating relationships.

 

Thanks in advance!

 

-David

 

Posted by: David Van Doren
Post date: 5/24/2013 4:27:17 PM

1 REPLY

Adding Planar Contraints

Hi David.

I found [url=http://dl2.plm.automation.siemens.com/solidedge/api/sesdk_web/SolidEdgeAssembly~Relations3d~AddPlana... example code[/url] for Your question. The code is for ST2, but i think that You can use the main idea of the implementation.

 

Hope that I was usefull, and good luck!

 

Posted by: Yevgeny Leibman
Post date: 5/26/2013 7:00:14 AM